Gtk2::SelectionData(3)

NAME
Gtk2::SelectionData

HIERARCHY
  Glib::Boxed
  +----Gtk2::SelectionData

METHODS

    * $type (Gtk2::Gdk::Atom)
    * $format (integer)
    * $data (Glib::UChar)

    * $pixbuf (Gtk2::Gdk::Pixbuf)
    * $tree_model (Gtk2::TreeModel)
    * $path (Gtk2::TreePath)
    Gets the contents of selection_data as an array of targets. This can be used to interpret the results of getting the standard TARGETS target that is always supplied for any selection.

    Returns a list of GdkAtoms, the targets.

    * $writable (boolean)
    * $str (string)
    * $len (integer)

    * ... (list) of strings

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.